package com.platform.entity;

import java.math.BigDecimal;


/**
 * 实体
 * 表名 nideshop_brand
 *
 * @author lipengjun
 * @email 939961241@qq.com
 * @date 2017-08-19 17:59:15
 */
public class BrandEntity extends BaseEntity {
    private static final long serialVersionUID = 1L;

    //品牌名称
    private String name;
    //描述
    private String simpleDesc;
    //排序
    private Integer sortOrder;
    //app显示图片
    private String appListPicUrl;

    /**
     * 类型：0其他，1美食，2服饰，3丽人
     */
    private Integer type;
    /**
     * 场景码
     */
    private String sceneNum;
    /**
     * 分享二维码地址
     */
    private String shareWxQrCode;

    /**
     * 店铺地址
     */
    private String address;

    /**
     * 店铺简介照片集
     */
    private String picList;
    /**
     * 经度
     */
    private BigDecimal longitude;

    /**
     * 经度
     */
    private BigDecimal latitude;
    /**
     * 视频简介地址
     */
    private String introduceVideo;
    /**
     * 视频简介的第一帧
     */
    private String introduceVideoCover;

    private Integer adminId;

    private String city;

    /**
     * 绑定的一起逛、带看的管理员名称
     */
    private String bindShowerName;

    /**
     * 绑定的一起逛、带看的管理员Id
     */
    private String bindShowerId;

    /**
     * 绑定的一起逛、带看的管理员名称列表
     */
    private String bindShowerNameList;

    /**
     * 店铺联系电话
     */
    private String contractPhone;

    private String token;

    private int livestreamStatus;

    /**
     * 直播间地址
     */
    private String liveRoomUrl;

    private Long createUserDeptId;

    public String getContractPhone() {
        return contractPhone;
    }

    public void setContractPhone(String contractPhone) {
        this.contractPhone = contractPhone;
    }

    public String getBindShowerNameList() {
        return bindShowerNameList;
    }

    public void setBindShowerNameList(String bindShowerNameList) {
        this.bindShowerNameList = bindShowerNameList;
    }


    public String getBindShowerName() {
        return bindShowerName;
    }

    public void setBindShowerName(String bindShowerName) {
        this.bindShowerName = bindShowerName;
    }

    public String getBindShowerId() {
        return bindShowerId;
    }

    public void setBindShowerId(String bindShowerId) {
        this.bindShowerId = bindShowerId;
    }

    public String getCity() {
        return city;
    }

    public void setCity(String city) {
        this.city = city;
    }

    public Integer getAdminId() {
        return adminId;
    }

    public void setAdminId(Integer adminId) {
        this.adminId = adminId;
    }

    public String getIntroduceVideo() {
        return introduceVideo;
    }

    public void setIntroduceVideo(String introduceVideo) {
        this.introduceVideo = introduceVideo;
    }

    public String getIntroduceVideoCover() {
        return introduceVideoCover;
    }

    public void setIntroduceVideoCover(String introduceVideoCover) {
        this.introduceVideoCover = introduceVideoCover;
    }

    public BigDecimal getLongitude() {
        return longitude;
    }

    public void setLongitude(BigDecimal longitude) {
        this.longitude = longitude;
    }

    public BigDecimal getLatitude() {
        return latitude;
    }

    public void setLatitude(BigDecimal latitude) {
        this.latitude = latitude;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public String getPicList() {
        return picList;
    }

    public void setPicList(String picList) {
        this.picList = picList;
    }

    public String getShareWxQrCode() {
        return shareWxQrCode;
    }

    public void setShareWxQrCode(String shareWxQrCode) {
        this.shareWxQrCode = shareWxQrCode;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public static long getSerialVersionUID() {
        return serialVersionUID;
    }

    public String getSceneNum() {
        return sceneNum;
    }

    public void setSceneNum(String sceneNum) {
        this.sceneNum = sceneNum;
    }

    /**
     * 设置：品牌名称
     */
    public void setName(String name) {
        this.name = name;
    }

    /**
     * 获取：品牌名称
     */
    public String getName() {
        return name;
    }

    /**
     * 设置：描述
     */
    public void setSimpleDesc(String simpleDesc) {
        this.simpleDesc = simpleDesc;
    }

    /**
     * 获取：描述
     */
    public String getSimpleDesc() {
        return simpleDesc;
    }

    /**
     * 设置：排序
     */
    public void setSortOrder(Integer sortOrder) {
        this.sortOrder = sortOrder;
    }

    /**
     * 获取：排序
     */
    public Integer getSortOrder() {
        return sortOrder;
    }

    /**
     * 设置：app显示图片
     */
    public void setAppListPicUrl(String appListPicUrl) {
        this.appListPicUrl = appListPicUrl;
    }

    /**
     * 获取：app显示图片
     */
    public String getAppListPicUrl() {
        return appListPicUrl;
    }

    public String getToken() {
        return token;
    }

    public void setToken(String token) {
        this.token = token;
    }

    public int getLivestreamStatus() {
        return livestreamStatus;
    }

    public void setLivestreamStatus(int livestreamStatus) {
        this.livestreamStatus = livestreamStatus;
    }

    public String getLiveRoomUrl() {
        return liveRoomUrl;
    }

    public void setLiveRoomUrl(String liveRoomUrl) {
        this.liveRoomUrl = liveRoomUrl;
    }

    public Long getCreateUserDeptId() {
        return createUserDeptId;
    }

    public void setCreateUserDeptId(Long createUserDeptId) {
        this.createUserDeptId = createUserDeptId;
    }
}
